%define pkgname racc
Summary:	Ruby yACC
Summary(pl.UTF-8):	yACC dla języka Ruby
Name:		ruby-%{pkgname}
Version:	1.4.6
Release:	2
License:	GPL
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	c61adac8cd59877e6abe37f5fc12e9a5
URL:		http://i.loveruby.net/en/racc.html
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
Provides:	ruby-Racc
Obsoletes:	ruby-Racc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RACC is a Ruby clone of YACC, to generate LALR(1) parsers in Ruby.

%description -l pl.UTF-8
RACC to klon YACC-a dla języka Ruby, służący do generowania
analizatorów LALR(1) w Rubym.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
ruby setup.rb config \
	--site-ruby=%{ruby_vendorlibdir} \
	--so-dir=%{ruby_vendorarchdir}

ruby setup.rb setup

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Array,Object,String}
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_ridir},%{ruby_rdocdir}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/racc
%attr(755,root,root) %{_bindir}/racc2y
%attr(755,root,root) %{_bindir}/y2racc
%dir %{ruby_vendorarchdir}/racc
%attr(755,root,root) %{ruby_vendorarchdir}/racc/cparse.so
%{ruby_vendorlibdir}/racc.rb
%{ruby_vendorlibdir}/racc

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Racc
%changelog
* Thu Dec 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-racc.git;a=log;h=master

* Thu Dec 19 2013 Elan Ruusamäe <glen@delfi.ee> 67153c8
- install to vendor dir

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 1feb521
- updated build
- added rdoc and ri packages

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 155b259
- 1.4.6

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 8289786
- rel 2

* Sun Feb 28 2010 sparky <sparky@pld-linux.org> c8d38e2
- BR: ruby-devel

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 78cb82e
- P:ruby-Racc

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 5f3a831
- renamed ruby-Racc -> ruby-racc

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7171ee3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fc5186e
- converted to UTF-8

* Sun Dec 17 2006 aredridel <aredridel@pld-linux.org> a8cda3f
- 1.4.5

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> 71abdb2
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 99f0c34
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> d2b6ac3
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

* Sat Nov 19 2005 Elan Ruusamäe <glen@pld-linux.org> a0a2914
- use system ruby macros
- cleanups, corrections, cosmetics

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 5889958
- spaces->tabs
- formatting

* Thu Aug 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 0bf664e
- updated Name and added Obsoletes after spec rename

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> b833e47
- pl, missing dir

* Sun Feb 01 2004 aredridel <aredridel@pld-linux.org> 1dc158d
- remove files included with Ruby itself

* Sun Feb 01 2004 aredridel <aredridel@pld-linux.org> d4cfad1
- it's not noarch!

* Sun Feb 01 2004 aredridel <aredridel@pld-linux.org> d68a248
- added

